# setup.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "struct.h"`
`#include "io.h"`
`#include "files.h"`

## Defines
#define | ARG_UNUSED
## Functions
int | Create_ConfigDirectory (char *Config_Dir)
void | Set_Program_Directory (ARG_UNUSED const char *argv0, char *Program_Dir)
void | Set_Data_Directory (const char *Program_Dir, char *Data_Dir)
void | Set_Config_Directory (const char *Program_Dir, char *Config_Dir)

## Define Documentation

#define ARG_UNUSED

## Function Documentation

int Create_ConfigDirectory | ( | char * | Config_Dir | ) |

Referenced by Set_Config_Directory().

void Set_Program_Directory | ( | ARG_UNUSED const char * | argv0,
|  | char * | Program_Dir |
| ) |  |  |

References Extraire_chemin().

Referenced by Initialisation_du_programme(), and main().

void Set_Data_Directory | ( | const char * | Program_Dir,
|  | char * | Data_Dir |
| ) |  |  |

Referenced by Initialisation_du_programme(), and main().

void Set_Config_Directory | ( | const char * | Program_Dir,
|  | char * | Config_Dir |
| ) |  |  |

References Create_ConfigDirectory(), Fichier_existe(), Repertoire_existe(), SEPARATEUR_CHEMIN, and TAILLE_CHEMIN_FICHIER.

Referenced by Initialisation_du_programme(), and main().